curl --request POST \
--url https://api.getovra.com/checkout/pay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cdpUrl": "<string>",
"intentId": "<string>",
"targetUrl": "<string>"
}
'{
"status": "filled",
"intentId": "<string>",
"agentId": "<string>",
"cardId": "<string>",
"checkout": {
"profile": "<string>",
"strategy": "<string>",
"fieldsFound": 123,
"fieldsMissed": 123,
"timingMs": 123,
"error": "<string>"
}
}Connects to the agent’s running browser via CDP (Chrome DevTools Protocol), detects the payment form, and types card details directly. The agent never sees PAN/CVV data. Works with Browserbase, Playwright, or any CDP-compatible browser.
curl --request POST \
--url https://api.getovra.com/checkout/pay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cdpUrl": "<string>",
"intentId": "<string>",
"targetUrl": "<string>"
}
'{
"status": "filled",
"intentId": "<string>",
"agentId": "<string>",
"cardId": "<string>",
"checkout": {
"profile": "<string>",
"strategy": "<string>",
"fieldsFound": 123,
"fieldsMissed": 123,
"timingMs": 123,
"error": "<string>"
}
}API key (sk_...) or Agent token (at_...)
Unique key for idempotent request handling